> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1ordersgetbyconsumerphone



## OpenAPI

````yaml https://order-ms.supergasbras.app/swagger/v1/swagger.json get /v1/orders/getbyconsumerphone
openapi: 3.0.1
info:
  title: Order
  description: A API Order é responsável pelo gerenciamento do pedido do cliente.
  version: v1
servers: []
security:
  - Bearer: []
paths:
  /v1/orders/getbyconsumerphone:
    get:
      tags:
        - Orders
      parameters:
        - name: consumerPhone
          in: query
          schema:
            type: string
        - name: api-version
          in: query
          schema:
            type: string
      responses:
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            text/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            text/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            text/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
components:
  schemas:
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
          readOnly: true
        description:
          type: string
          nullable: true
          readOnly: true
        type:
          $ref: '#/components/schemas/ErrorType'
        numericType:
          type: integer
          format: int32
          readOnly: true
        metadata:
          type: object
          additionalProperties: {}
          nullable: true
          readOnly: true
      additionalProperties: false
    ErrorType:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: http
      description: Token de acesso `accessToken` obtido do serviço de autenticação.
      scheme: Bearer
      bearerFormat: JWT

````